On Tue, Apr 02, 2019 at 10:09:07PM +0200, Moritz Muehlenhoff wrote:
> Package: libruby2.5
> Version: 2.5.5-1
> Severity: wishlist
> 
> rubygems are currently a part of libruby2.5. Can you please split them into a
> separate binary package like ruby2.5-rubygems (which libruby2.5 would still
> depennd upon)?
> 
> With jruby we have a second Ruby implementation in the archive (which embeds
> rubygems unmodified) and currently whenever there's a ruby security release
> which needs fixes to rubygems we also need to update jruby (while the Jruby
> interpreter usually isn't affected by many of the security bugs in the
> C-based ruby implementation).

We used to have a separate rubygems package, but stopped doing it when
rubygems got merged into the stdlib. I would prefet going back to that
to produce a binary from the interpreter. (which solves this problem
just the same)

Attachment: signature.asc
Description: PGP signature

Reply via email to